Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Interface CompatTerminal

All Known Implementing Classes:
  TerminalVT100Style

public interface CompatTerminal

This is a interface that contains the methods from the old Terminal interface that a TerminalInterpreter might need.

Field Summary
`static int` | `ATTR_BGCOLOR`
`static int` | `ATTR_BLINKING`
`static int` | `ATTR_BOLD`
`static int` | `ATTR_FGCOLOR`
`static int` | `ATTR_INVERSE`
`static int` | `ATTR_INVISIBLE`
`static int` | `ATTR_LOWINTENSITY`
`static int` | `ATTR_UNDERLINE`
`static int` | `OPT_ASCII_LDC`
`static int` | `OPT_AUTO_LF`
`static int` | `OPT_AUTO_WRAP`
`static int` | `OPT_COPY_CRNL`
`static int` | `OPT_COPY_SEL`
`static int` | `OPT_DEC132COLS`
`static int` | `OPT_DECCOLM`
`static int` | `OPT_INSERTMODE`
`static int` | `OPT_LAST_OPT`
`static int` | `OPT_LOCAL_ECHO`
`static int` | `OPT_LOCAL_PGKEYS`
`static int` | `OPT_MAP_CTRLSP`
`static int` | `OPT_PASSTHRU_PRN`
`static int` | `OPT_REV_VIDEO`
`static int` | `OPT_REV_WRAP`
`static int` | `OPT_SCROLL_SI`
`static int` | `OPT_SCROLL_SK`
`static int` | `OPT_VIS_BELL`
`static int` | `OPT_VIS_CURSOR`

Method Summary
`void` | `clearAbove()`
`void` | `clearAllAttributes()`
`void` | `clearAllTabs()`
`void` | `clearBelow()`
`void` | `clearLeft()`
`void` | `clearLine()`
`void` | `clearRight()`
`void` | `clearScreen()`
`void` | `clearTab(int col)`
`int` | `cols()`
`void` | `cursorBackward(int n)`
`void` | `cursorDown(int n)`
`void` | `cursorForward(int n)`
`void` | `cursorIndex(int n)`
`void` | `cursorIndexRev(int n)`
`void` | `cursorRestore()`
`void` | `cursorSave()`
`void` | `cursorSetPos(int v, int h, boolean relative)`
`void` | `cursorUp(int n)`
`void` | `deleteChars(int n)`
`void` | `deleteLines(int n)`
`void` | `doBackTabs(int n)`
`void` | `doBell()`
`void` | `doBS()`
`void` | `doCR()`
`void` | `doLF()`
`void` | `doTab()`
`void` | `doTabs(int n)`
`void` | `eraseChars(int n)`
`void` | `fillScreen(char c)`
`boolean` | `getAttribute(int attr)`
`int` | `getCursorH()`
`int` | `getCursorV()`
`boolean` | `getOption(int opt)`
`int` | `getWindowBottom()`
`int` | `getWindowLeft()`
`int` | `getWindowRight()`
`int` | `getWindowTop()`
`void` | `insertChars(int n)`
`void` | `insertLines(int n)`
`void` | `printScreen()`
`void` | `resetInterpreter()`
`void` | `resetTabs()`
`void` | `resetWindow()`
`int` | `rows()`
`void` | `scrollDown(int n)`
`void` | `scrollUp(int n)`
`void` | `sendBytes(byte[] b)`
`void` | `setAttribute(int attr, boolean val)`
`void` | `setBackgroundColor(int c)`
`void` | `setForegroundColor(int c)`
`void` | `setOption(int opt, boolean val)`
`void` | `setTab(int col)`
`void` | `setTitle(java.lang.String title)`
`void` | `setWindow(int top, int bottom)`
`void` | `setWindow(int top, int right, int bottom, int left)`
`void` | `startPrinter()`
`void` | `stopPrinter()`
`void` | `typedChar(char c)`
`void` | `write(char c)`
`void` | `write(char[] c, int off, int len)`
`void` | `write(java.lang.String str)`
`void` | `writeLineDrawChar(char c)`

Field Detail

### ATTR_BOLD

    public static final int ATTR_BOLD

See Also:
  Constant Field Values

### ATTR_LOWINTENSITY

    public static final int ATTR_LOWINTENSITY

See Also:
  Constant Field Values

### ATTR_UNDERLINE

    public static final int ATTR_UNDERLINE

See Also:
  Constant Field Values

### ATTR_BLINKING

    public static final int ATTR_BLINKING

See Also:
  Constant Field Values

### ATTR_INVERSE

    public static final int ATTR_INVERSE

See Also:
  Constant Field Values

### ATTR_INVISIBLE

    public static final int ATTR_INVISIBLE

See Also:
  Constant Field Values

### ATTR_FGCOLOR

    public static final int ATTR_FGCOLOR

See Also:
  Constant Field Values

### ATTR_BGCOLOR

    public static final int ATTR_BGCOLOR

See Also:
  Constant Field Values

### OPT_REV_VIDEO

    public static final int OPT_REV_VIDEO

See Also:
  Constant Field Values

### OPT_AUTO_WRAP

    public static final int OPT_AUTO_WRAP

See Also:
  Constant Field Values

### OPT_REV_WRAP

    public static final int OPT_REV_WRAP

See Also:
  Constant Field Values

### OPT_INSERTMODE

    public static final int OPT_INSERTMODE

See Also:
  Constant Field Values

### OPT_AUTO_LF

    public static final int OPT_AUTO_LF

See Also:
  Constant Field Values

### OPT_SCROLL_SK

    public static final int OPT_SCROLL_SK

See Also:
  Constant Field Values

### OPT_SCROLL_SI

    public static final int OPT_SCROLL_SI

See Also:
  Constant Field Values

### OPT_VIS_CURSOR

    public static final int OPT_VIS_CURSOR

See Also:
  Constant Field Values

### OPT_LOCAL_ECHO

    public static final int OPT_LOCAL_ECHO

See Also:
  Constant Field Values

### OPT_VIS_BELL

    public static final int OPT_VIS_BELL

See Also:
  Constant Field Values

### OPT_MAP_CTRLSP

    public static final int OPT_MAP_CTRLSP

See Also:
  Constant Field Values

### OPT_DECCOLM

    public static final int OPT_DECCOLM

See Also:
  Constant Field Values

### OPT_DEC132COLS

    public static final int OPT_DEC132COLS

See Also:
  Constant Field Values

### OPT_PASSTHRU_PRN

    public static final int OPT_PASSTHRU_PRN

See Also:
  Constant Field Values

### OPT_LOCAL_PGKEYS

    public static final int OPT_LOCAL_PGKEYS

See Also:
  Constant Field Values

### OPT_COPY_CRNL

    public static final int OPT_COPY_CRNL

See Also:
  Constant Field Values

### OPT_ASCII_LDC

    public static final int OPT_ASCII_LDC

See Also:
  Constant Field Values

### OPT_COPY_SEL

    public static final int OPT_COPY_SEL

See Also:
  Constant Field Values

### OPT_LAST_OPT

    public static final int OPT_LAST_OPT

See Also:
  Constant Field Values

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

### rows

    public int rows()

### cols

    public int cols()

### fillScreen

    public void fillScreen(char c)

### write

    public void write(char c)

### write

    public void write(char[] c,
                      int off,
                      int len)

### write

    public void write(java.lang.String str)

### writeLineDrawChar

    public void writeLineDrawChar(char c)

### typedChar

    public void typedChar(char c)

### sendBytes

    public void sendBytes(byte[] b)

### doBell

    public void doBell()

### doBS

    public void doBS()

### doTab

    public void doTab()

### doTabs

    public void doTabs(int n)

### doBackTabs

    public void doBackTabs(int n)

### setTab

    public void setTab(int col)

### clearTab

    public void clearTab(int col)

### resetTabs

    public void resetTabs()

### clearAllTabs

    public void clearAllTabs()

### doCR

    public void doCR()

### doLF

    public void doLF()

### resetInterpreter

    public void resetInterpreter()

### resetWindow

    public void resetWindow()

### setWindow

    public void setWindow(int top,
                          int bottom)

### setWindow

    public void setWindow(int top,
                          int right,
                          int bottom,
                          int left)

### getWindowTop

    public int getWindowTop()

### getWindowBottom

    public int getWindowBottom()

### getWindowLeft

    public int getWindowLeft()

### getWindowRight

    public int getWindowRight()

### getCursorV

    public int getCursorV()

### getCursorH

    public int getCursorH()

### cursorSetPos

    public void cursorSetPos(int v,
                             int h,
                             boolean relative)

### cursorUp

    public void cursorUp(int n)

### cursorDown

    public void cursorDown(int n)

### cursorForward

    public void cursorForward(int n)

### cursorBackward

    public void cursorBackward(int n)

### cursorIndex

    public void cursorIndex(int n)

### cursorIndexRev

    public void cursorIndexRev(int n)

### cursorSave

    public void cursorSave()

### cursorRestore

    public void cursorRestore()

### scrollUp

    public void scrollUp(int n)

### scrollDown

    public void scrollDown(int n)

### clearBelow

    public void clearBelow()

### clearAbove

    public void clearAbove()

### clearScreen

    public void clearScreen()

### clearRight

    public void clearRight()

### clearLeft

    public void clearLeft()

### clearLine

    public void clearLine()

### eraseChars

    public void eraseChars(int n)

### insertChars

    public void insertChars(int n)

### insertLines

    public void insertLines(int n)

### deleteChars

    public void deleteChars(int n)

### deleteLines

    public void deleteLines(int n)

### printScreen

    public void printScreen()

### startPrinter

    public void startPrinter()

### stopPrinter

    public void stopPrinter()

### setOption

    public void setOption(int opt,
                          boolean val)

### getOption

    public boolean getOption(int opt)

### setAttribute

    public void setAttribute(int attr,
                             boolean val)

### getAttribute

    public boolean getAttribute(int attr)

### setForegroundColor

    public void setForegroundColor(int c)

### setBackgroundColor

    public void setBackgroundColor(int c)

### clearAllAttributes

    public void clearAllAttributes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD